[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.TopItem

TopItem - the first visible node of the tree.

## Declaration

Source position: comctrls.pp line 3787

`public property TCustomTreeView.TopItem : TTreeNode read GetTopItem write SetTopItem;`

## Description

Use TopItem to get the top-most visible node. It is usually needed when tree view contains many nodes and scroll bar is required to display them all. If you need the first node of the tree regardless of visibility use Items[0].

## See also

Items |  | The container with the TTreeNode instances for the control.
GetNodeAtY |  | Gets the expanded tree node at the specified vertical coordinate.